=== uvp-xenpv/uvp-pvops_xen_driver-2.6.32to4.0.x/xen-hcall/Makefile ===
include $(M)/config.mk

obj-m = xen-hcall.o
