=== uvp-monitor/Makefile ===
--- 
+++ 
@@ -28,8 +28,8 @@
 CFLAGS += -DNOT_USE_PV_UPGRADE
 
 ${TARGET}-${cpu_bit}: securec_api has_xs patch_xs
-	$(CC) -o $@ ${INC_FLAGS} main.c xenctlmon.c network.c netinfo.c memory.c cpuinfo.c xenstore_common.c hostname.c cpu_hotplug.c disk.c upgrade.c healthcheck.c check_kernel.c ${CFLAGS} libsecurec.a -L. -lxenstore 
-	$(CC) -o $@-static ${INC_FLAGS} main.c xenctlmon.c network.c netinfo.c memory.c cpuinfo.c xenstore_common.c hostname.c cpu_hotplug.c disk.c upgrade.c healthcheck.c check_kernel.c ${CFLAGS} libsecurec.a -L. libxenstore.a -L.
+	$(CC) -o $@ ${INC_FLAGS} main.c xenctlmon.c network.c netinfo.c memory.c cpuinfo.c xenstore_common.c hostname.c cpu_hotplug.c disk.c upgrade.c healthcheck.c ${CFLAGS} libsecurec.a -L. -lxenstore 
+	$(CC) -o $@-static ${INC_FLAGS} main.c xenctlmon.c network.c netinfo.c memory.c cpuinfo.c xenstore_common.c hostname.c cpu_hotplug.c disk.c upgrade.c healthcheck.c ${CFLAGS} libsecurec.a -L. libxenstore.a -L.
 	$(CC) -o arping iputils/arping.c
 	$(CC) -o ndsend iputils/ndsend.c
 
@@ -67,7 +67,7 @@
 	cd -
 
 install:
-	install -m544 uvp-monitor-${cpu_bit} /usr/bin/
+	install -m544 uvp-monitor-${cpu_bit} /usr/bin/uvp-monitor
 	install -m544 ./xen-4.1.2/tools/xenstore/libxenstore.so.3.0.0 /usr/lib
 	@cd /usr/lib; \
 	ln -sf libxenstore.so.3.0.0 libxenstore.so.3.0; \
@@ -80,7 +80,7 @@
 	@ln -sf /etc/init.d/uvp-monitor /etc/rc.d/rc5.d/K99uvp-monitor
 
 install_static:
-	install -m544 uvp-monitor-${cpu_bit}-static /usr/bin/
+	install -m544 uvp-monitor-${cpu_bit}-static /usr/bin/uvp-monitor
 	install -m544 monitor/uvp-monitor /etc/init.d/
 	@ln -sf /etc/init.d/uvp-monitor /etc/rc.d/rc3.d/S99uvp-monitor
 	@ln -sf /etc/init.d/uvp-monitor /etc/rc.d/rc3.d/K99uvp-monitor
