=== uvp-xenpv/uvp-classic_xen_driver-2.6.32to3.0.x/Makefile ===
--- 
+++ 
@@ -16,8 +16,6 @@
 obj-m += xen-balloon/
 obj-m += xen-vbd/
 obj-m += xen-vnif/
-obj-m += xen-hcall/
-obj-m += xen-vmdq/
 ifeq (2.6.32, $(OSVERSION))
 ifeq (x86_64, $(KERNELARCH))
 reboot=reboot_64.c
@@ -60,9 +58,6 @@
 	@set -e; \
 	for dir in $(obj-m); \
 	do \
-		if [ "xen-hcall/" == "$$dir" ] || [ "xen-vmdq/" == "$$dir" ]; then \
-			continue; \
-		fi; \
 		cd $$dir; \
 		for file in `ls $(OSVERSION)`; \
 		do \
