=== uvp-xenpv/others/FEDORA12/Makefile ===
--- 
+++ 
@@ -15,9 +15,6 @@
 obj-m += xen-balloon/
 obj-m += xen-vbd/
 obj-m += xen-vnif/
-obj-m += xen-vmdq/
-#obj-m += xen-scsi/
-obj-m += xen-hcall/
 
 all:
 	make -C $(KERNDIR) M=$(M) modules $(COMPILEFLAGS)
