=== debian/changelog ===
uvp-monitor (2.2.0.315-0ubuntu1) artful; urgency=medium

  * Initial release (LP: #1714968)
  * debian/patches/use_ubuntu_paths.patch,
    debian/patches/change_makefile_for_ubuntu.patch:
    - Add two distro-patches on top of the source to switch all hard-cored
      paths to something more sensible on Ubuntu + modify the Makefile to make
      the build and installation easier for our case.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 27 Apr 2017 20:13:00 +0200
