=== debian/control ===
Source: uvp-monitor
Section: misc
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>
Build-Depends: debhelper (>= 9),
               libxen-dev,
               libxml2-dev,
Standards-Version: 3.9.8
Homepage: https://github.com/UVP-Tools/UVP-Tools

Package: uvp-monitor
Architecture: any
Depends: init-system-helpers,
         procps,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Virtual machine UVP/Xen monitoring program
 The UVP Monitor provides enhancements to VMs running on UVP/Xen by collecting
 and exporting recource usage data as well as VM hostnames.
