## uvp-monitor 2.2.0.316

=== uvp-monitor/Makefile ===
--- 
+++ 
@@ -24,12 +24,9 @@
 	CFLAGS += -g
 endif
 
-# don't provide pv-upgrade ability to user-compiled-pv vm
-CFLAGS += -DNOT_USE_PV_UPGRADE
-
 ${TARGET}-${cpu_bit}: securec_api has_xs patch_xs
-	$(CC) -o $@ ${INC_FLAGS} main.c xenctlmon.c network.c netinfo.c memory.c cpuinfo.c xenstore_common.c hostname.c cpu_hotplug.c disk.c upgrade.c healthcheck.c ${CFLAGS} libsecurec.a -L. -lxenstore 
-	$(CC) -o $@-static ${INC_FLAGS} main.c xenctlmon.c network.c netinfo.c memory.c cpuinfo.c xenstore_common.c hostname.c cpu_hotplug.c disk.c upgrade.c healthcheck.c ${CFLAGS} libsecurec.a -L. libxenstore.a -L.
+	$(CC) -o $@ ${INC_FLAGS} main.c xenctlmon.c network.c netinfo.c memory.c cpuinfo.c xenstore_common.c hostname.c cpu_hotplug.c disk.c ${CFLAGS} libsecurec.a -L. -lxenstore 
+	$(CC) -o $@-static ${INC_FLAGS} main.c xenctlmon.c network.c netinfo.c memory.c cpuinfo.c xenstore_common.c hostname.c cpu_hotplug.c disk.c ${CFLAGS} libsecurec.a -L. libxenstore.a -L.
 	$(CC) -o arping iputils/arping.c
 	$(CC) -o ndsend iputils/ndsend.c
 
@@ -40,7 +37,7 @@
 	elif [ -f "xen-4.1.2.tar.gz" ]; then \
 		echo "You have a xen-4.1.2 source tarball."; \
 	else \
-		wget http://bits.xensource.com/oss-xen/release/4.1.2/xen-4.1.2.tar.gz; \
+		wget https://downloads.xenproject.org/release/xen/4.1.2/xen-4.1.2.tar.gz; \
 		if [ "X1" = "X$$?" ]; then \
 			echo "You must download xen-4.1.2 source tarball." \
 			exit 1; \
