=== uvp-xenpv/uvp-pvops_xen_driver-2.6.32to4.0.x/Makefile ===
--- 
+++ 
@@ -15,8 +15,6 @@
 COMPILEFLAGS=$(CROSSCOMPILE)
 
 vnif_path=other
-
-obj-m := xen-hcall/
 
 ifeq ($(NO_PROCFS), )
 obj-m += xen-procfs/
