=== uvp-xenpv/others/RHEL4/Makefile ===
--- 
+++ 
@@ -18,8 +18,6 @@
 obj-m += xen-balloon/
 obj-m += xen-vbd/
 obj-m += xen-vnif/
-obj-m += xen-vmdq/
-obj-m += xen-hcall/
 
 all:lnfile
 	make -C $(KERNDIR) M=$(M) modules $(COMPILEARGS)
