=== uvp-xenpv/uvp-pvops_xen_driver-2.6.32to4.0.x/xen-balloon/Makefile ===
include $(M)/config.mk

obj-m = xen-balloon.o
