=== uvp-xenpv/uvp-pvops_xen_driver-2.6.32to4.0.x/xen-scsi/Makefile ===
include $(M)/config.mk

obj-m := xen-scsifront.o
xen-scsifront-objs := scsifront.o xenbus.o
