=== debian/changelog ===
uvp-monitor (2.2.0.316-0ubuntu1~16.04.1) xenial; urgency=medium

  * Backport to xenial (LP: #1735532).
  * New upstream release.
  * Add debian/watch.
  * debian/control: switch priority from extra to optional.
  * debian/patches/init.d_script_fixes.patch:
    - Fix some lintian errors with the init.d script by adding local_fs
      dependency on start/stop.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 30 Nov 2017 12:08:03 +0100
