=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	make -C uvp-monitor uvp-monitor

override_dh_install:
	mkdir -p debian/uvp-monitor/usr/bin
	install -m544 uvp-monitor/uvp-monitor debian/uvp-monitor/usr/bin/uvp-monitor
	mkdir -p debian/uvp-monitor/etc/init.d
	install -m544 uvp-monitor/monitor/uvp-monitor debian/uvp-monitor/etc/init.d/
	mkdir -p debian/uvp-monitor/usr/lib/uvp-monitor
	install -m544 uvp-monitor/monitor/xenvnet-arp debian/uvp-monitor/usr/lib/uvp-monitor/
	install -m544 uvp-monitor/ndsend debian/uvp-monitor/usr/lib/uvp-monitor/
	install -m544 uvp-monitor/arping debian/uvp-monitor/usr/lib/uvp-monitor/

override_dh_clean:
	make -C uvp-monitor clean
	dh_clean
