=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/uvp-monitor-$1\.tar\.gz/ \
 https://github.com/UVP-Tools/UVP-Tools/tags .*/?(\d\.\d\.\d\.\d.\d{1,})\.tar\.gz
